package gov.va.med.esr.common.rule.parameter;

import gov.va.med.esr.common.model.ee.Activation;
import gov.va.med.esr.common.model.ee.Application;
import gov.va.med.esr.common.model.ee.CampLejeuneVerification;
import gov.va.med.esr.common.model.ee.CampLejeuneVerificationMethod;
import gov.va.med.esr.common.model.ee.CancelDecline;
import gov.va.med.esr.common.model.ee.CatastrophicDisability;
import gov.va.med.esr.common.model.ee.CombatEpisode;
import gov.va.med.esr.common.model.ee.CombatService;
import gov.va.med.esr.common.model.ee.ConflictExperience;
import gov.va.med.esr.common.model.ee.Deployment;
import gov.va.med.esr.common.model.ee.EGTProcessStatistic;
import gov.va.med.esr.common.model.ee.EGTSetting;
import gov.va.med.esr.common.model.ee.EGTSiteStatistic;
import gov.va.med.esr.common.model.ee.Eligibility;
import gov.va.med.esr.common.model.ee.EligibilityVerification;
import gov.va.med.esr.common.model.ee.EnrollmentDetermination;
import gov.va.med.esr.common.model.ee.EnrollmentOverride;
import gov.va.med.esr.common.model.ee.FeeBasis;
import gov.va.med.esr.common.model.ee.HealthBenefitProfile;
import gov.va.med.esr.common.model.ee.IncompetenceRuling;
import gov.va.med.esr.common.model.ee.IneligibilityFactor;
import gov.va.med.esr.common.model.ee.MedalOfHonor;
import gov.va.med.esr.common.model.ee.MedicaidFactor;
import gov.va.med.esr.common.model.ee.MilitaryServiceEpisode;
import gov.va.med.esr.common.model.ee.MilitaryServiceSiteRecord;
import gov.va.med.esr.common.model.ee.MilitarySexualTrauma;
import gov.va.med.esr.common.model.ee.MonetaryBenefit;
import gov.va.med.esr.common.model.ee.MonetaryBenefitAward;
import gov.va.med.esr.common.model.ee.NoseThroatRadium;
import gov.va.med.esr.common.model.ee.POWEpisode;
import gov.va.med.esr.common.model.ee.PrisonerOfWar;
import gov.va.med.esr.common.model.ee.PurpleHeart;
import gov.va.med.esr.common.model.ee.ReceivedEligibility;
import gov.va.med.esr.common.model.ee.ReceivedEnrollment;
import gov.va.med.esr.common.model.ee.SHAD;
import gov.va.med.esr.common.model.ee.ServiceConnectionAward;
import gov.va.med.esr.common.model.ee.SpecialFactor;
import gov.va.med.esr.common.model.financials.BeneficiaryTravel;
import gov.va.med.esr.common.model.financials.DependentFinancials;
import gov.va.med.esr.common.model.financials.FinancialInformation;
import gov.va.med.esr.common.model.financials.FinancialStatement;
import gov.va.med.esr.common.model.financials.Hardship;
import gov.va.med.esr.common.model.financials.IncomeTest;
import gov.va.med.esr.common.model.financials.IncomeTestStatus;
import gov.va.med.esr.common.model.financials.PatientVisitSummary;
import gov.va.med.esr.common.model.financials.SpouseFinancials;
import gov.va.med.esr.common.model.insurance.InsurancePolicy;
import gov.va.med.esr.common.model.party.Address;
import gov.va.med.esr.common.model.party.Email;
import gov.va.med.esr.common.model.party.Phone;
import gov.va.med.esr.common.model.person.Association;
import gov.va.med.esr.common.model.person.DeathRecord;
import gov.va.med.esr.common.model.person.Dependent;
import gov.va.med.esr.common.model.person.EmergencyResponseIndicator;
import gov.va.med.esr.common.model.person.Employment;
import gov.va.med.esr.common.model.person.HealthCareProvider;
import gov.va.med.esr.common.model.person.PatientProviderAssignmentLite;
import gov.va.med.esr.common.model.person.Person;
import gov.va.med.esr.common.model.person.Relation;
import gov.va.med.esr.common.model.person.SignatureImage;
import gov.va.med.esr.common.model.person.Spouse;
import gov.va.med.esr.common.model.report.ReportParameterSet;
import gov.va.med.esr.common.model.report.ReportSchedule;
import gov.va.med.esr.common.model.report.ReportSetup;
import gov.va.med.esr.common.model.security.ESRUserPrincipalImpl;
import gov.va.med.esr.common.rule.service.MatchRuleService;
import gov.va.med.esr.common.rule.service.MergeRuleService;
import gov.va.med.fw.conversion.CopyServiceException;
import gov.va.med.fw.service.ServiceException;

import java.util.Set;

public class MergeRuleServiceStub implements MergeRuleService {

	/**
	 *
	 */
	private static final long serialVersionUID = 1L;

	public CatastrophicDisability mergeCatastrophicDisabilityCDDescriptorsOnly(
			CatastrophicDisability source, CatastrophicDisability target,
			boolean addOnly) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public void mergeEmail(Person on, Person two) {

	}

	public void mergePhone(Person one, Person two) {

	}

	public CatastrophicDisability mergeCatastrophicDisability(
			CatastrophicDisability source, CatastrophicDisability target,
			boolean isFromUI) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public CatastrophicDisability mergeCatastrophicDisabilityCDDescriptorsOnly(
			CatastrophicDisability source, CatastrophicDisability target)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public MatchRuleService getMatchRuleService() {
		// TODO Auto-generated method stub
		return null;
	}

	public Address mergeAddress(Address incoming, Address onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public void mergeFinancialData(Person incoming, Person onFile) {

	}

	public Application mergeApplication(Application incoming, Application onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public Association mergeAssociation(Association incoming, Person onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public Association mergeAssociation(Association incoming, Association onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public BeneficiaryTravel mergeBeneficiaryTravel(BeneficiaryTravel incoming,
			BeneficiaryTravel onFile) throws ServiceException {
		onFile.setFacilityVisited(incoming.getFacilityVisited());
		return null;
	}

	public CancelDecline mergeCancelDecline(CancelDecline incoming,
			CancelDecline onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public CancelDecline mergeCancelDecline(CancelDecline incoming,
			Person onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public CatastrophicDisability mergeCatastrophicDisability(
			CatastrophicDisability source, CatastrophicDisability target)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public CombatEpisode mergeCombatEpisode(CombatEpisode incoming,
			CombatEpisode onFile) {
		// TODO Auto-generated method stub
		return null;
	}

	public ConflictExperience mergeConflictExperience(
			ConflictExperience incoming, ConflictExperience onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public DeathRecord mergeDeathRecord(DeathRecord incoming, DeathRecord onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public Person mergeDemographic(Person incoming, Person onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public Dependent mergeDependent(Dependent incoming, Dependent onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public DependentFinancials mergeDependentFinancials(
			DependentFinancials incoming, DependentFinancials onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public EGTProcessStatistic mergeEGTProcessStatistic(
			EGTProcessStatistic incoming, EGTProcessStatistic onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public EGTSetting mergeEGTSetting(EGTSetting incoming, EGTSetting onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public EGTSiteStatistic mergeEGTSiteStatistic(EGTSiteStatistic incoming,
			EGTSiteStatistic onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public Eligibility mergeEligibility(Eligibility incoming, Eligibility onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public EligibilityVerification mergeEligibilityVerification(
			EligibilityVerification incoming, EligibilityVerification onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public EligibilityVerification mergeEligibilityVerification(
			EligibilityVerification incoming, Person onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public Email mergeEmail(Email incoming, Person onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public Email mergeEmail(Email incoming, Email onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public void mergeEmergencyResponseIndicator(Person incoming, Person onFile)
			throws ServiceException {
		// TODO Auto-generated method stub

	}

	public EmergencyResponseIndicator mergeEmergencyResponseIndicator(
			EmergencyResponseIndicator incoming,
			EmergencyResponseIndicator onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public EnrollmentDetermination mergeEnrollmentDetermination(
			EnrollmentDetermination incoming, EnrollmentDetermination onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public EnrollmentOverride mergeEnrollmentOverride(
			EnrollmentOverride incoming, EnrollmentOverride onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public FeeBasis mergeFeeBasis(FeeBasis incoming, FeeBasis onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public FinancialInformation mergeFinancialInformation(
			FinancialInformation incoming, FinancialInformation onFile)
			throws ServiceException {
		// TODO Auto-generated method stub

		return null;
	}

	public FinancialStatement mergeFinancialStatement(
			FinancialStatement incoming, FinancialStatement onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public FinancialStatement mergeFinancialStatement(
			FinancialStatement incoming, FinancialStatement onFile,
			boolean isMergeForZ07) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public void mergeFullIncomeTest(IncomeTest incomingTest,
			IncomeTest resultTest) throws ServiceException {
		// TODO Auto-generated method stub

	}

	public Hardship mergeHardship(Hardship incoming, Hardship onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public Person mergeIdentityTraits(Person incoming, Person onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public IncomeTest mergeIncomeTest(IncomeTest incoming, IncomeTest onFile)
			throws ServiceException {
		onFile.setIncomeYear(incoming.getIncomeYear());
		onFile.setType(incoming.getType());
		onFile.setIncomeTestStatus(incoming.getType(), incoming.getStatus());

		onFile.setEffectiveDate(incoming.getEffectiveDate());
		onFile.setCompletedDate(incoming.getCompletedDate());
		onFile.setLastEditedDate(incoming.getLastEditedDate());
		onFile.setFutureTest(incoming.getFutureTest());
		// TODO Auto-generated method stub
		return null;
	}

	public void mergeIncomeTestStatus(IncomeTestStatus incomingStatus,
			IncomeTestStatus targetStatus) throws CopyServiceException {
		// TODO Auto-generated method stub

	}

	public IncompetenceRuling mergeIncompetenceRuling(
			IncompetenceRuling incoming, IncompetenceRuling onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public IncompetenceRuling mergeIncompetenceRuling(
			IncompetenceRuling incoming, Person onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public IneligibilityFactor mergeIneligibilityFactor(
			IneligibilityFactor incoming, Person onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public InsurancePolicy mergeInsuranceAddress(Address incoming,
			InsurancePolicy onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public InsurancePolicy mergeInsurancePolicy(InsurancePolicy incoming,
			InsurancePolicy onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public InsurancePolicy mergeInsurancePolicy(InsurancePolicy incoming,
			Person onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public MedicaidFactor mergeMedicaidFactor(MedicaidFactor incoming,
			MedicaidFactor onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public MilitaryServiceEpisode mergeMilitaryServiceEpisode(
			MilitaryServiceEpisode incoming, MilitaryServiceEpisode onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public void mergeMilitaryServiceSiteRecord(
			MilitaryServiceSiteRecord incoming, MilitaryServiceSiteRecord onFile) {
		// TODO Auto-generated method stub

	}

	public MilitarySexualTrauma mergeMilitarySexualTrauma(
			MilitarySexualTrauma source, MilitarySexualTrauma target)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public MonetaryBenefit mergeMonetaryBenefit(MonetaryBenefit incoming,
			MonetaryBenefit onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public MonetaryBenefitAward mergeMonetaryBenefitAward(
			MonetaryBenefitAward incoming, MonetaryBenefitAward onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public MonetaryBenefitAward mergeMonetaryBenefitAward(
			MonetaryBenefitAward incoming, Person onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public NoseThroatRadium mergeNoseThroatRadium(NoseThroatRadium source,
			NoseThroatRadium target) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public POWEpisode mergePOWEpisode(POWEpisode incoming, POWEpisode onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public PatientVisitSummary mergePatientVisitSummary(
			PatientVisitSummary incoming, PatientVisitSummary onFile)
			throws ServiceException {
		onFile.setFacilityVisited(incoming.getFacilityVisited());
		// TODO Auto-generated method stub
		return null;
	}

	public Person mergePerson(Person incoming, Person onFile,
			boolean isUpdateFromGUI) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public Phone mergePhone(Phone incoming, Person onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public Phone mergePhone(Phone incoming, Phone onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public PrisonerOfWar mergePrisonerOfWar(PrisonerOfWar incoming,
			PrisonerOfWar onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public PrisonerOfWar mergePrisonerOfWar(PrisonerOfWar incoming,
			Person onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public PurpleHeart mergePurpleHeart(PurpleHeart incoming, PurpleHeart result)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public ReceivedEligibility mergeReceivedEligibility(
			ReceivedEligibility incoming, ReceivedEligibility onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public void mergeReceivedEligibility(Person incoming, Person onFile)
			throws ServiceException {
		// TODO Auto-generated method stub

	}

	public ReceivedEnrollment mergeReceivedEnrollment(
			ReceivedEnrollment incoming, ReceivedEnrollment onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public PurpleHeart mergeRegistry(PurpleHeart incoming, PurpleHeart onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public PurpleHeart mergeRegistry(PurpleHeart incoming, PurpleHeart onFile,
			boolean isUI) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public PrisonerOfWar mergeRegistry(PrisonerOfWar incoming,
			PrisonerOfWar onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public PrisonerOfWar mergeRegistry(PrisonerOfWar incoming,
			PrisonerOfWar onFile, boolean isUI) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public SHAD mergeRegistry(SHAD incoming, SHAD onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public SHAD mergeRegistry(SHAD incoming, SHAD onFile, boolean isUI)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public void mergeReportParameterSet(ReportParameterSet incoming,
			ReportParameterSet onFile) throws ServiceException {
		// TODO Auto-generated method stub

	}

	public void mergeReportSchedule(ReportSchedule incoming,
			ReportSchedule onFile) throws ServiceException {
		// TODO Auto-generated method stub

	}

	public void mergeReportSetup(ReportSetup incoming, ReportSetup onFile)
			throws ServiceException {
		// TODO Auto-generated method stub

	}

	public SHAD mergeSHAD(SHAD incoming, Person onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public void mergeSSN(Relation incoming, Relation onFile)
			throws ServiceException {
		// TODO Auto-generated method stub

	}

	public ServiceConnectionAward mergeServiceConnectionAward(
			ServiceConnectionAward incoming, ServiceConnectionAward onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public ServiceConnectionAward mergeServiceConnectionAward(
			ServiceConnectionAward incoming, Person onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public Set mergeSets(Set incoming, Set onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public SignatureImage mergeSignatureImage(SignatureImage incoming,
			SignatureImage onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public SignatureImage mergeSignatureImage(SignatureImage incoming,
			Person onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public SpecialFactor mergeSpecialFactor(SpecialFactor incoming,
			SpecialFactor onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public SpecialFactor mergeSpecialFactor(SpecialFactor incoming,
			Person onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public void mergeSpecialFactor(Person incoming, Person onFile)
			throws ServiceException {
		// TODO Auto-generated method stub

	}

	public Spouse mergeSpouse(Spouse incoming, Spouse onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public SpouseFinancials mergeSpouseFinancials(SpouseFinancials incoming,
			SpouseFinancials onFile) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public void mergeUserAccount(ESRUserPrincipalImpl incoming,
			ESRUserPrincipalImpl onFile) throws ServiceException {
		// TODO Auto-generated method stub

	}

	public void mergeUserProfile(ESRUserPrincipalImpl incoming,
			ESRUserPrincipalImpl onFile) throws ServiceException {
		// TODO Auto-generated method stub

	}

	public Employment mergeEmployment(Employment incoming, Employment onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public void mergeEmployment(Person incoming, Person onFile)
			throws ServiceException {
		// TODO Auto-generated method stub

	}

	public void mergeSpouseAddress(Spouse incoming, Spouse onFile)
			throws ServiceException {
		// TODO Auto-generated method stub

	}

	public void mergeSpouseEmployment(Spouse incoming, Spouse onFile)
			throws ServiceException {
		// TODO Auto-generated method stub

	}

	public void mergeSpouseHomePhone(Spouse incoming, Spouse onFile)
			throws ServiceException {
		// TODO Auto-generated method stub

	}

	public MedalOfHonor mergeMedalOfHonor(MedalOfHonor incoming,
			MedalOfHonor result) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public void mergeNewSeedingMilitaryServiceEpisode(
			MilitaryServiceSiteRecord incoming, MilitaryServiceSiteRecord onFile) {
		// TODO Auto-generated method stub

	}

	public void mergeNewSeedingMilitaryServiceSiteRecord(
			MilitaryServiceSiteRecord incoming, MilitaryServiceSiteRecord onFile) {
		// TODO Auto-generated method stub

	}

	public void mergeSingleSeedingMilitaryServiceEpisode(
			MilitaryServiceEpisode incomingEpisode,
			MilitaryServiceEpisode overlappedEpisode,
			MilitaryServiceSiteRecord onFile) {
		// TODO Auto-generated method stub

	}

	/*
	 * (non-Javadoc)
	 *
	 * @see
	 * gov.va.med.esr.common.rule.service.MergeRuleService#mergeCombatService
	 * (gov.va.med.esr.common.model.ee.CombatService,
	 * gov.va.med.esr.common.model.ee.CombatService)
	 */
	public CombatService mergeCombatService(CombatService incoming,
			CombatService onFile) {
		// TODO Auto-generated method stub
		return null;
	}

	/*
	 * (non-Javadoc)
	 *
	 * @see
	 * gov.va.med.esr.common.rule.service.MergeRuleService#mergeDeployment(gov
	 * .va.med.esr.common.model.ee.Deployment,
	 * gov.va.med.esr.common.model.ee.Deployment)
	 */
	public Deployment mergeDeployment(Deployment incoming, Deployment onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	/*
	 * (non-Javadoc)
	 *
	 * @see
	 * gov.va.med.esr.common.rule.service.MergeRuleService#mergeActivation(gov
	 * .va.med.esr.common.model.ee.Activation,
	 * gov.va.med.esr.common.model.ee.Activation)
	 */
	public Activation mergeActivation(Activation incoming, Activation onFile)
			throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public void mergeSeedingMilitaryServiceEpisode(
			MilitaryServiceEpisode incomingEpisode,
			MilitaryServiceEpisode overlappedEpisode,
			MilitaryServiceSiteRecord onFile) {
		// TODO Auto-generated method stub

	}

	/*
	 * (non-Javadoc)
	 *
	 * @see gov.va.med.esr.common.rule.service.MergeRuleService#
	 * mergeMilitaryServiceNoDeletes(gov.va.med.esr.common.model.person.Person,
	 * gov.va.med.esr.common.model.person.Person)
	 */
	public void mergeMilitaryServiceNoDeletes(Person incoming, Person onFile)
			throws ServiceException {
		// TODO Auto-generated method stub

	}

	public Set mergeRatedDisabilities(Set incomingDisabilities,
			Set onFileDisabilities) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public Set mergeSets(Set incoming, Set onFile,
			boolean alwaysAddIncomingDuplicates) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public void mergeIncomingMSEToHEC(MilitaryServiceSiteRecord incoming,
			MilitaryServiceSiteRecord onFile)  {
		//TODO Auto-generated method stub

	}

	public void mergeHealthCareProvider(HealthCareProvider incoming,
			HealthCareProvider onFile)  {
		//TODO Auto-generated method stub
	}

	public void mergeProviderAssignment(PatientProviderAssignmentLite incoming,
			PatientProviderAssignmentLite onFile)  {
		//TODO Auto-generated method stub
	}

	/* (non-Javadoc)
	 * @see gov.va.med.esr.common.rule.service.MergeRuleService#mergeRatedDisabilitiesFromHL7(java.util.Set, java.util.Set)
	 */
	public Set mergeRatedDisabilitiesFromHL7(Set incomingDisabilities, Set onFileDisabilities) throws ServiceException {
		// TODO Auto-generated method stub
		return null;
	}

	public void mergeHealthBenefitProfile(HealthBenefitProfile incoming, HealthBenefitProfile onFile)
	throws ServiceException {
      // TODO Auto-generated method stub
    }

	@Override
	public void mergeCampLejeuneVerification(CampLejeuneVerification incoming,
			CampLejeuneVerification onFile) throws ServiceException {
		// TODO Auto-generated method stub

	}

	@Override
	public void mergeCLVerificationMethod(
			CampLejeuneVerificationMethod incoming,
			CampLejeuneVerificationMethod onFile) throws ServiceException {
		// TODO Auto-generated method stub

	}










}
